defaults: &defaults
  pool_size: 30
  pool_timeout: 30

development:
  <<: *defaults
  host: localhost
  database: banjo_main_development
  databases:
    banjo:
      <<: *defaults
      database: banjo_development
      host: localhost

production:
  <<: *defaults
  database: banjo_main_production
  username: <%= ENV['MONGODB_USERNAME'] %>
  password: <%= ENV['MONGODB_PASSWORD'] %>
  host: <%= ENV['MONGODB_MAIN_MONGOS_HOST'] %>
  databases:
    banjo:
      <<: *defaults
      database: banjo_production
      username: <%= ENV['MONGODB_USERNAME'] %>
      password: <%= ENV['MONGODB_PASSWORD'] %>
      host: <%= ENV['MONGODB_BANJO_MONGOS_HOST'] %>
